org.apache.lucene.index

## Class MergePolicy.MergeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.lucene.index.MergePolicy.MergeException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    MergePolicy

      public static class MergePolicy.MergeException
      extends java.lang.RuntimeException

  Exception thrown if there are any problems while executing a merge.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MergeException(java.lang.String message)` Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead
    `MergeException(java.lang.String message, Directory dir)`
    `MergeException(java.lang.Throwable exc)` Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead
    `MergeException(java.lang.Throwable exc, Directory dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Directory` | `getDirectory()` Returns the `Directory` of the index that hit the exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MergeException

          public MergeException(java.lang.String message)

      Deprecated. Use `MergePolicy.MergeException(String,Directory)` instead

    - #### MergeException

          public MergeException(java.lang.String message,
                                Directory dir)

    - #### MergeException

          public MergeException(java.lang.Throwable exc)

      Deprecated. Use `MergePolicy.MergeException(Throwable,Directory)` instead

    - #### MergeException

          public MergeException(java.lang.Throwable exc,
                                Directory dir)

  - ### Method Detail

    - #### getDirectory

          public Directory getDirectory()

      Returns the `Directory` of the index that hit the exception.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.